package com.iformall.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumTag {

    ID_1(1L,     EnumTagType.ID_1, "男"),
    ID_2(2L,     EnumTagType.ID_1, "女"),

    ID_3(3L,     EnumTagType.ID_2, "00后"),
    ID_4(4L,     EnumTagType.ID_2, "90后"),
    ID_5(5L,     EnumTagType.ID_2, "80后"),
    ID_6(6L,     EnumTagType.ID_2, "70后"),
    ID_7(7L,     EnumTagType.ID_2, "60后"),

    ID_8(8L,     EnumTagType.ID_3, "鼠"),
    ID_9(9L,     EnumTagType.ID_3, "牛"),
    ID_10(10L,   EnumTagType.ID_3, "虎"),
    ID_11(11L,   EnumTagType.ID_3, "兔"),
    ID_12(12L,   EnumTagType.ID_3, "龙"),
    ID_13(13L,   EnumTagType.ID_3, "蛇"),
    ID_14(14L,   EnumTagType.ID_3, "马"),
    ID_15(15L,   EnumTagType.ID_3, "羊"),
    ID_16(16L,   EnumTagType.ID_3, "猴"),
    ID_17(17L,   EnumTagType.ID_3, "鸡"),
    ID_18(18L,   EnumTagType.ID_3, "狗"),
    ID_19(19L,   EnumTagType.ID_3, "猪"),

    ID_20(20L,   EnumTagType.ID_4, "白羊座"),
    ID_21(21L,   EnumTagType.ID_4, "金牛座"),
    ID_22(22L,   EnumTagType.ID_4, "双子座"),
    ID_23(23L,   EnumTagType.ID_4, "巨蟹座"),
    ID_24(24L,   EnumTagType.ID_4, "狮子座"),
    ID_25(25L,   EnumTagType.ID_4, "处女座"),
    ID_26(26L,   EnumTagType.ID_4, "天秤座"),
    ID_27(27L,   EnumTagType.ID_4, "天蝎座"),
    ID_28(28L,   EnumTagType.ID_4, "射手座"),
    ID_29(29L,   EnumTagType.ID_4, "摩羯座"),
    ID_30(30L,   EnumTagType.ID_4, "水瓶座"),
    ID_31(31L,   EnumTagType.ID_4, "双鱼座"),

    ID_32(32L,   EnumTagType.ID_5, "线上"),
    ID_33(33L,   EnumTagType.ID_5, "线下"),

    ID_34(34L,   EnumTagType.ID_6, "高中"),
    ID_35(35L,   EnumTagType.ID_6, "大专"),
    ID_36(36L,   EnumTagType.ID_6, "本科"),
    ID_37(37L,   EnumTagType.ID_6, "硕士"),
    ID_38(38L,   EnumTagType.ID_6, "博士"),

    ID_39(39L,   EnumTagType.ID_7, "移动"),
    ID_40(40L,   EnumTagType.ID_7, "联通"),
    ID_41(41L,   EnumTagType.ID_7, "电信"),

    ID_42(42L,   EnumTagType.ID_8, "5000以下"),
    ID_43(43L,   EnumTagType.ID_8, "5000~10000"),
    ID_44(44L,   EnumTagType.ID_8, "10001~20000"),
    ID_45(45L,   EnumTagType.ID_8, "20001以上"),
    ID_46(46L,   EnumTagType.ID_8, "20001~30000"),
    ID_47(47L,   EnumTagType.ID_8, "30001~50000"),
    ID_48(48L,   EnumTagType.ID_8, "50001以上"),

    ID_49(49L,   EnumTagType.ID_9, "iphone"),
    ID_50(50L,   EnumTagType.ID_9, "华为"),
    ID_51(51L,   EnumTagType.ID_9, "VO"),
    ID_52(52L,   EnumTagType.ID_9, "三星"),
    ID_53(53L,   EnumTagType.ID_9, "小米"),
    ID_54(54L,   EnumTagType.ID_9, "其他"),

    ID_55(55L,   EnumTagType.ID_10,"未婚"),
    ID_56(56L,   EnumTagType.ID_10,"已婚"),
    ID_57(57L,   EnumTagType.ID_10,"已婚有孩"),

    ID_58(58L,   EnumTagType.ID_11,"有车一族"),

    ID_59(59L,   EnumTagType.ID_12,"学生"),
    ID_60(60L,   EnumTagType.ID_12,"上班族"),
    ID_61(61L,   EnumTagType.ID_12,"企业高管"),
    ID_62(62L,   EnumTagType.ID_12,"个体户"),
    ID_63(63L,   EnumTagType.ID_12,"自由职业"),
    ID_64(64L,   EnumTagType.ID_12,"其他"),

    ID_65(65L,   EnumTagType.ID_13,"租房"),
    ID_66(66L,   EnumTagType.ID_13,"自购"),
    ID_67(67L,   EnumTagType.ID_13,"宿舍"),

    ID_68(68L,   EnumTagType.ID_14,"餐饮"),
    ID_69(69L,   EnumTagType.ID_14,"娱乐"),
    ID_70(70L,   EnumTagType.ID_14,"服饰"),
    ID_71(71L,   EnumTagType.ID_14,"亲子"),
    ID_72(72L,   EnumTagType.ID_14,"超市"),
    ID_73(73L,   EnumTagType.ID_14,"美妆"),
    ID_74(74L,   EnumTagType.ID_14,"珠宝"),
    ID_75(75L,   EnumTagType.ID_14,"服务"),
    ID_76(76L,   EnumTagType.ID_14,"家居"),

    ID_77(77L,   EnumTagType.ID_15,"中低端"),
    ID_78(78L,   EnumTagType.ID_15,"中端"),
    ID_79(79L,   EnumTagType.ID_15,"中高端"),
    ID_80(80L,   EnumTagType.ID_15,"高端"),

    ID_81(81L,   EnumTagType.ID_16,"快时尚"),
    ID_82(82L,   EnumTagType.ID_16,"轻奢"),
    ID_83(83L,   EnumTagType.ID_16,"奢侈品"),
    ID_84(84L,   EnumTagType.ID_16,"皮革"),
    ID_85(85L,   EnumTagType.ID_16,"化妆品"),
    ID_86(86L,   EnumTagType.ID_16,"电子产品"),
    ID_87(87L,   EnumTagType.ID_16,"影视娱乐"),
    ID_88(88L,   EnumTagType.ID_16,"儿童相关"),
    ID_89(89L,   EnumTagType.ID_16,"日本品牌"),
    ID_90(90L,   EnumTagType.ID_16,"韩国品牌"),
    ID_91(91L,   EnumTagType.ID_16,"欧美品牌等"),

    ID_92(92L,   EnumTagType.ID_17,"西餐"),
    ID_93(93L,   EnumTagType.ID_17,"日本料理"),
    ID_94(94L,   EnumTagType.ID_17,"韩国料理"),
    ID_95(95L,   EnumTagType.ID_17,"东南亚菜"),
    ID_96(96L,   EnumTagType.ID_17,"自助餐"),

    ID_97(97L,   EnumTagType.ID_18,"工作日白天"),
    ID_98(98L,   EnumTagType.ID_18,"工作日晚上"),
    ID_99(99L,   EnumTagType.ID_18,"周末（含节假日）白天"),
    ID_100(100L, EnumTagType.ID_18,"周末（含节假日）晚上"),

    ID_101(101L, EnumTagType.ID_19,"现金"),
    ID_102(102L, EnumTagType.ID_19,"移动支付"),
    ID_103(103L, EnumTagType.ID_19,"银行卡支付"),

    ID_104(104L, EnumTagType.ID_20,"实惠型消费"),
    ID_105(105L, EnumTagType.ID_20,"享乐型消费"),
    ID_106(106L, EnumTagType.ID_20,"品质型消费"),

    ID_107(107L, EnumTagType.ID_21,"消费频率低"),
    ID_108(108L, EnumTagType.ID_21,"消费频率中"),
    ID_109(109L, EnumTagType.ID_21,"消费频率高"),

    ID_110(110L, EnumTagType.ID_22,"活跃度低"),
    ID_111(111L, EnumTagType.ID_22,"活跃度中"),
    ID_112(112L, EnumTagType.ID_22,"活跃度高"),

    ID_113(113L, EnumTagType.ID_23,"低客单价"),
    ID_114(114L, EnumTagType.ID_23,"中客单价"),
    ID_115(115L, EnumTagType.ID_23,"高客单价"),

    ID_116(116L, EnumTagType.ID_24,"口碑宣传型"),
    ID_117(117L, EnumTagType.ID_24,"纠结型客户"),
    ID_118(118L, EnumTagType.ID_24,"选择型客户"),
    ID_119(119L, EnumTagType.ID_24,"参与型客户"),
    ID_120(120L, EnumTagType.ID_24,"安静型客户"),

    ID_121(121L, EnumTagType.ID_25,"时尚"),
    ID_122(122L, EnumTagType.ID_25,"旅游"),
    ID_123(123L, EnumTagType.ID_25,"运动"),
    ID_124(124L, EnumTagType.ID_25,"电玩"),
    ID_125(125L, EnumTagType.ID_25,"看书"),
    ID_126(126L, EnumTagType.ID_25,"其他"),

    ID_127(127L, EnumTagType.ID_26,"附近住户"),
    ID_128(128L, EnumTagType.ID_26,"较远住户"),

    ID_129(129L,   EnumTagType.ID_17,"火锅"),
    ID_130(130L,   EnumTagType.ID_17,"特色菜"),
    ID_131(131L,   EnumTagType.ID_17,"私房菜"),
    ID_132(132L,   EnumTagType.ID_17,"素食"),
    ID_133(133L,   EnumTagType.ID_17,"烧烤"),
    ID_134(134L,   EnumTagType.ID_17,"小吃快餐"),
    ID_135(135L,   EnumTagType.ID_17,"川菜"),
    ID_136(136L,   EnumTagType.ID_17,"湘菜"),
    ID_137(137L,   EnumTagType.ID_17,"鲁菜"),
    ID_138(138L,   EnumTagType.ID_17,"粤菜"),
    ID_139(139L,   EnumTagType.ID_17,"湖北菜"),
    ID_140(140L,   EnumTagType.ID_17,"云贵菜"),
    ID_141(141L,   EnumTagType.ID_17,"东北菜"),
    ID_142(142L,   EnumTagType.ID_17,"面包店"),
    ID_143(143L,   EnumTagType.ID_17,"咖啡厅"),
    ID_144(144L,   EnumTagType.ID_17,"饮品店"),

    ID_145(145L,   EnumTagType.ID_14,"数码家电"),

    ID_146(146L, EnumTagType.ID_16, "品牌偏好"),

    ID_147(147L, EnumTagType.ID_27, "服饰尺码"),
    ID_148(148L, EnumTagType.ID_27, "服饰尺码"),
    ID_149(149L, EnumTagType.ID_27, "服饰尺码"),
    ID_150(150L, EnumTagType.ID_27, "服饰尺码"),
    ID_151(151L, EnumTagType.ID_27, "服饰尺码"),
    ID_152(152L, EnumTagType.ID_27, "服饰尺码"),
    ID_153(153L, EnumTagType.ID_27, "服饰尺码"),

    ID_154(154L, EnumTagType.ID_28, "鞋尺码"),
    ID_155(155L, EnumTagType.ID_28, "鞋尺码"),
    ID_156(156L, EnumTagType.ID_28, "鞋尺码"),
    ID_157(157L, EnumTagType.ID_28, "鞋尺码"),
    ID_158(158L, EnumTagType.ID_28, "鞋尺码"),
    ID_159(159L, EnumTagType.ID_28, "鞋尺码"),
    ID_160(160L, EnumTagType.ID_28, "鞋尺码"),
    ID_161(161L, EnumTagType.ID_28, "鞋尺码"),
    ID_162(162L, EnumTagType.ID_28, "鞋尺码"),
    ID_163(163L, EnumTagType.ID_28, "鞋尺码"),
    ID_164(164L, EnumTagType.ID_28, "鞋尺码"),
    ID_165(165L, EnumTagType.ID_28, "鞋尺码"),

    ID_1000(1000L,   EnumTagType.ID_50,"一天以内"),
    ID_1001(1001L,   EnumTagType.ID_50,"一周以内"),
    ID_1002(1002L,   EnumTagType.ID_50,"一月以内"),
    ID_1003(1003L,   EnumTagType.ID_50,"三月以内"),
    ID_1004(1004L,   EnumTagType.ID_50,"一年以内"),
    ID_1005(1005L,   EnumTagType.ID_50,"五年以内"),
    ID_1006(1006L,   EnumTagType.ID_50,"五年以上"),
    ID_1007(1007L,   EnumTagType.ID_50,"一年以上"),
    ID_1008(1008L,   EnumTagType.ID_50,"三月以上"),
    ID_1009(1009L,   EnumTagType.ID_50,"一月以上"),
    ID_1010(1010L,   EnumTagType.ID_50,"一周以上"),
    ID_1011(1011L,   EnumTagType.ID_50,"一天以上"),

    ID_1100(1100L,   EnumTagType.ID_52,"今天生日"),
    ID_1101(1101L,   EnumTagType.ID_52,"本周生日"),
    ID_1102(1102L,   EnumTagType.ID_52,"当月生日"),

    ID_1200(1200L,   EnumTagType.ID_53,"今天登陆"),
    ID_1201(1201L,   EnumTagType.ID_53,"本周登陆"),
    ID_1202(1202L,   EnumTagType.ID_53,"当月登陆"),

    ID_1300(1300L,   EnumTagType.ID_54,"今天核销"),
    ID_1301(1301L,   EnumTagType.ID_54,"本周核销"),
    ID_1302(1302L,   EnumTagType.ID_54,"当月核销"),;

    private static Map<Long,EnumTag> map = new HashMap<Long,EnumTag>();
    static {
        for (EnumTag value : values()) {
            map.put(value.code, value);
        }
    }

    public static EnumTag getEnum(Long code) {
        if (code == null) return null;
        return map.get(code);
    }

    private Long code;
    private EnumTagType type;
    private String message;

    EnumTag(Long code, EnumTagType type, String message) {
        this.code = code;
        this.type = type;
        this.message = message;
    }

    public Long getCode() {
        return code;
    }

    public EnumTagType getType() {
        return type;
    }

    public String getMessage() {
        return message;
    }
}
